GRDAB(1)

NAME
grdab - DAB / DAB+ receiver for software defined radio

SYNOPSIS
grdab [global_options] <command> [options]

DESCRIPTION

All SDRs supported by gr-osmosdr and which can tune to the DAB frequencies can be used with grdab. It has been verified to work with RTL-SDR, HackRF and USRP B200. grdab can receive both DAB and DAB+ audio.

Calibration:

When connecting a new radio, run:

    grdab adjust

This will bring up a GUI where you will see the frequency spectrum and the constellation diagram.

    1.  Drag the channel selector to a valid DAB/DAB+ frequency in your area.

    2.  Adjust the gain sliders such that frequency spectrum looks good. It should be an almost square looking wide signal.

    3.  Adjust the ppm slider until the constellation diagram consists of 4 quite confined dots.

    4.  Then click 'save configuration'

    5.  Your SDR is now calibrated and can be used to receive DAB/DAB+ audio.

The calibration data is stored in the file ~/.grdab/adjustment.yaml. Whenever connecting a new SDR, you will have to repeat the adjustment procedure above.

Check available channels:

To see what channels are available on a chosen frequency, run:

    grdab info -f <frequency_in_mhz>

Listen to DAB/DAB+:

When you find a channel, you can start receiving audio with:

    grdab receive -f 227.360 --bit_rate 80 --address 204 --subch_size 60 --protect_level 2 --audiorate 48000

where you replace the different options with the output from 'grdab info' for the desired channel. You might have to experiment with a few different values for '--audiorate' (such as 44100 or 48000). Note that DAB+ is default. To receive classic DAB, add '--classic' an argument.

Ncurses app:

If you create a file called ~/.grdab/channels.yaml, and list all the channels in your area, you can afterward use the grdab ncurses application:

    grdab curses

It allows you to select a channel and listen to it. See /usr/share/doc/gr-dab/examples/channels.yaml for an example of a channels.yaml file

ZMQ source:

To allow starting and stopping grdab without having to reinitialize the Software Defined Radio, you can start apps/sdr-zmq-daemon in the background. If you then start grdab with `grdab -z`, it will start much faster.

OPTIONS

Commands:

    grdab [global_options] adjust [options]   - Adjustment GUI for gain, timing error etc.
    grdab [global_options] info [options]     - List DAB/DAB+ channels on a specific frequency
    grdab [global_options] receive [options]  - Receive audio from a DAB/DAB+ channel
    grdab [global_options] curses [options]   - Ncurses GUI for selecting between multiple channels

Global options:

    -z  ZeroMQ mode. Expects zmq-sdr-daemon to be running

    --server <address>
        Address to ZeroMQ (Default is: tcp://127.0.0.1:10444)

    --server_control <address>
        Address to ZeroMQ for configuration (Default is: tcp://127.0.0.1:10445)

Other options (common for all):

    -f/--freq <freq>
        Receive frequency in MHz

Other options (for 'grdab receive' only):

    -a/--audiorate <rate>
        Audio rate in Hz (default: 48000)

    --bit_rate <val>
        Bit rate of the DAB/DAB+ channel.

    --address <val>
        Address of the DAB/DAB+ channel.

    --subch_size <val>
        Subchannel size of the DAB/DAB+ channel.

    --protect_level <val>
        Protection level of the DAB/DAB+ channel.

    --classic
        Use DAB instead of DAB+

SEE ALSO
sdr-zmq-daemon(1)

AUTHOR
This manual page was written by Ruben Undheim <rubund@debian.org> for the Debian project (and may be used by others).